Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.exception
Class OntologyLoadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.stanford.smi.protege.exception.OntologyLoadException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AmalgamatedLoadException

    public class OntologyLoadException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`OntologyLoadException()`
`OntologyLoadException(Throwable t)`
`OntologyLoadException(Throwable t, String message)`
`OntologyLoadException(Throwable t, String message, String suggestion)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OntologyLoadException

    public OntologyLoadException()

### OntologyLoadException

    public OntologyLoadException(Throwable t)

### OntologyLoadException

    public OntologyLoadException(Throwable t,
                                 String message)

### OntologyLoadException

    public OntologyLoadException(Throwable t,
                                 String message,
                                 String suggestion)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.